Bug 469686 - Review Request: meshmagick - Command line manipulation tool for Ogre meshes
Review Request: meshmagick - Command line manipulation tool for Ogre meshes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-03 09:59 EST by Alexey Torkhov
Modified: 2009-03-09 18:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.5.2-4.20090124svn2618.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-09 18:50:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alexey Torkhov 2008-11-03 09:59:15 EST
Spec URL: http://atorkhov.fedorapeople.org/ogre-meshmagick.spec
SRPM URL: http://atorkhov.fedorapeople.org/ogre-meshmagick-0.4.0-0.1.20080731svn2488.fc10.src.rpm
Description:
MeshMagick is a manipulation tool for Ogre meshes (and skeletons). It
allows the user to query interesting information and to transform binary
meshes (and skeletons) in many ways.
Comment 1 Alexey Torkhov 2009-02-28 15:21:21 EST
Spec URL: http://atorkhov.fedorapeople.org/ogre-meshmagick.spec
SRPM URL: http://atorkhov.fedorapeople.org/ogre-meshmagick-0.5.2-1.20090124svn2618.fc10.src.rpm

* Sat Feb 28 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.2-1.20090124svn2618
- Update to post 0.5.2

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1209402

Rpmlint output:
ogre-meshmagick.src:13: W: configure-without-libdir-spec
ogre-meshmagick-debuginfo.x86_64: W: filename-too-long-for-joliet ogre-meshmagick-debuginfo-0.5.2-1.20090124svn2618.fc11.x86_64.rpm
ogre-meshmagick-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 3 warnings.
Comment 2 Alexey Torkhov 2009-03-03 11:50:12 EST
Spec URL: http://atorkhov.fedorapeople.org/meshmagick.spec
SRPM URL: http://atorkhov.fedorapeople.org/meshmagick-0.5.2-2.20090124svn2618.fc10.src.rpm

Rpmlint output:
meshmagick.src:13: W: configure-without-libdir-spec
meshmagick-devel.x86_64: W: no-documentation

* Tue Mar 03 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.2-2.20090124svn2618
- Renamed package to simply "meshmagick"
- Clarified commands to get source
- Minor fixes
Comment 3 Dan Horák 2009-03-04 04:24:15 EST
formal review is here, see the notes below:

OK	source files match upstream (no difference between the included archive and fresh svn checkout):
	    730a995b66ca2486fe833cb77d963bd613e3db77  /home/dan/projects/fedora/reviews/meshmagick-0.5.2.tar.bz2
OK	package meets naming and versioning guidelines.
BAD	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	license field matches the actual license.
OK	license is open source-compatible (LGPLv2+). License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
BAD	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	shared libraries are added to the regular linker search paths, scriptlets exists
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	correct scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	headers in -devel
OK	pkgconfig files in -devel
OK	no libtool .la droppings.
OK	not a GUI app.


- move the shared library into -libs subpackage otherwise the package will not work in multilib environment
- there is no debuginfo for /usr/bin/meshmagick
    you need to filter-out the "-s" option given to gcc, see configure.in line 20
Comment 4 Alexey Torkhov 2009-03-04 12:07:11 EST
Spec URL: http://atorkhov.fedorapeople.org/meshmagick.spec
SRPM URL:
http://atorkhov.fedorapeople.org/meshmagick-0.5.2-3.20090124svn2618.fc10.src.rpm

* Wed Mar 04 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.2-3.20090124svn2618
- Split shared library to -libs subpackage for correct work in multilib
  environment
- Add patch for generating full debuginfo
Comment 5 Dan Horák 2009-03-04 12:33:42 EST
only the Requires need to be polished
- drop the R: from the libs subpackage
- make the -devel subpackage depend on -libs instead of the main package
Comment 6 Alexey Torkhov 2009-03-04 13:02:13 EST
Spec URL: http://atorkhov.fedorapeople.org/meshmagick.spec
SRPM URL:
http://atorkhov.fedorapeople.org/meshmagick-0.5.2-4.20090124svn2618.fc10.src.rpm

* Wed Mar 04 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.2-4.20090124svn2618
- Polishing the Requires

Also added ogre-devel dep for -devel subpackage
Comment 7 Dan Horák 2009-03-04 13:14:42 EST
> * Wed Mar 04 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.2-4.20090124svn2618
> - Polishing the Requires
> 
> Also added ogre-devel dep for -devel subpackage  

Very good idea, Alexey.

All issues are fixed, this package is APPROVED.
Comment 8 Alexey Torkhov 2009-03-04 14:08:18 EST
Thanks for review!

New Package CVS Request
=======================
Package Name: meshmagick
Short Description: Command line manipulation tool for Ogre meshes
Owners: atorkhov
Branches: F-9 F-10
InitialCC:
Comment 9 Kevin Fenzi 2009-03-05 15:08:28 EST
cvs done.
Comment 10 Fedora Update System 2009-03-05 16:09:09 EST
meshmagick-0.5.2-4.20090124svn2618.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/meshmagick-0.5.2-4.20090124svn2618.fc10
Comment 11 Fedora Update System 2009-03-09 18:50:29 EDT
meshmagick-0.5.2-4.20090124svn2618.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.